--===============================================================================
-- ■ 格式化文字()
--===============================================================================
function 格式化文字 (内容)

	local 多彩文字 = {}
	local 颜色值 = 0
	
     if( 内容 ~= ""  ) then

     local     _按行分割组 = 分割文本 (内容, "#" )

			if (table.getn(_按行分割组)> 0 ) then
				   
				  for n=1, table.getn(_按行分割组) do

						local   再分割文本组 = 分割文本(_按行分割组[n], "<")
						   
								 if(table.getn(再分割文本组)>1) then

										 for j=1, table.getn(再分割文本组) do

											local  临时_偏移 = 0

												for s_n=1, j-2 do
												   临时_偏移  = 临时_偏移 + 文字:取宽度(再分割文本组[s_n] )
												end

											 if (string.find(再分割文本组[j],"红>") == 1 ) then
												颜色值 = ARGB(255,255,0,0)
											 elseif (string.find(再分割文本组[j],"白>") == 1 ) then
											      颜色值 = ARGB(255,255,255,255)
											 elseif (string.find(再分割文本组[j],"黄>") == 1 ) then
												颜色值 = ARGB(255,255,255,0)
											 elseif (string.find(再分割文本组[j],"蓝>") == 1 ) then
												颜色值 = ARGB(255,30,144,255)
											 elseif (string.find(再分割文本组[j],"淡>") == 1 ) then
												颜色值 = ARGB(128,255,255,255)
											 end
		
											再分割文本组[j] =  string.sub(再分割文本组[j], 4)
											
											多彩文字 = 
											{
											内容 = 再分割文本组[j],
											颜色 = 颜色值,
											位置 = {x=提示x偏移 +临时_偏移+ 文字:取宽度(再分割文本组[j-1]),y=提示y偏移+ (n-1) * 间距  + (n-1) * 文字高度},
											当前计次 = 0,
											当前文本 = "",
											字符组 =  分割为字符组(再分割文本组[j])											
											}
											
											
											table.insert(多彩文字组,多彩文字)
											
										 end
								 else
									多彩文字 = 
									{
									内容 = _按行分割组[n],
									颜色 =颜色_白,
									位置 = {x=提示x偏移,y= (n-1) * 间距 + 提示y偏移  + (n-1) * 文字高度},
									当前计次 = 0,
									当前文本 = "",
									字符组 =  分割为字符组(_按行分割组[n])					
									}									
									table.insert(多彩文字组,多彩文字)
								 end

						 end

					 else
								多彩文字 = 
								{
								内容 = 内容,
								颜色 =颜色_白,
								位置 = {x=提示x偏移,y= 提示y偏移},
								当前计次 = 0,
								当前文本 = "",
								字符组 =  分割为字符组(内容)									
								}									
								table.insert(多彩文字组,多彩文字)					  
			 end

      
      end


end 
